Summary:	A GNU collection of diff utilities
Name:		diffutils
Version:	3.7
Release:	%mkrel 3
License:	GPLv3+
Group:		Development/Other
URL:		http://www.gnu.org/software/diffutils/
Source0:	ftp://ftp.gnu.org/pub/gnu/diffutils/%{name}-%{version}.tar.xz
Source1:	ftp://ftp.gnu.org/pub/gnu/diffutils/%{name}-%{version}.tar.xz.sig
Source2:	%{name}-help2man.bz2
BuildRequires:	libsigsegv-devel
BuildRequires:	gettext-devel

%description
Diffutils includes four utilities:  diff, cmp, diff3 and sdiff.

  * Diff compares two files and shows the differences, line by line.
  * The cmp command shows the offset and line numbers where two files differ,
    or cmp can show the characters that differ between the two files.
  * The diff3 command shows the differences between three files. Diff3 can be
    used when two people have made independent changes to a common original;
    diff3 can produce a merged file that contains both persons' changes and
    warnings about conflicts.
  * The sdiff command can be used to list diff of two files side by side or
    merge two files interactively.

Install diffutils if you need to compare text files.

%prep
%setup -q

bzcat %{SOURCE2} > help2man
chmod +x help2man

%build
# default editor for sdiff interactive mode, vi is likely better than ed
perl -pi -e 's/^(#define\s+DEFAULT_EDITOR_PROGRAM\s+)"ed"/$1"vi"/' configure*

# for finding help2man
export PATH=$PATH:`pwd`
autoreconf -fi
%configure \
	--disable-rpath \
	--without-included-regex \
	--with-packager="%{distribution}" \
	--with-packager-bug-reports="https://bugs.mageia.org"


%make

%install
%make_install

%find_lang %{name}

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc NEWS README
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man*/*
%{_infodir}/%name.info*


%changelog
* Thu Apr 16 2020 tv <tv> 3.7-3.mga8
+ Revision: 1567757
- remove info-install dep

* Fri Feb 14 2020 umeabot <umeabot> 3.7-2.mga8
+ Revision: 1521777
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Tue Jan 01 2019 luigiwalser <luigiwalser> 3.7-1.mga7
+ Revision: 1348184
- 3.7

* Mon Sep 03 2018 tv <tv> 3.6-2.mga7
+ Revision: 1256564
- rely on filetriggers for info system (mga#23482)

* Wed Aug 30 2017 cjw <cjw> 3.6-1.mga7
+ Revision: 1148497
- 3.6

* Thu Feb 11 2016 umeabot <umeabot> 3.3-6.mga6
+ Revision: 953778
- Mageia 6 Mass Rebuild

* Fri Aug 21 2015 tmb <tmb> 3.3-5.mga6
+ Revision: 867448
- rebuild for new gcc

* Wed Oct 15 2014 umeabot <umeabot> 3.3-4.mga5
+ Revision: 751207
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.3-3.mga5
+ Revision: 678742
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 3.3-2.mga4
+ Revision: 523860
- Mageia 4 Mass Rebuild

* Sun May 26 2013 blino <blino> 3.3-1.mga4
+ Revision: 427715
- drop merged patches
- 3.3

* Fri Jan 11 2013 umeabot <umeabot> 3.2-5.mga3
+ Revision: 348778
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 31 2012 wally <wally> 3.2-4.mga3
+ Revision: 336687
- add patch to fix build with automake 1.13

* Tue Dec 11 2012 cjw <cjw> 3.2-3.mga3
+ Revision: 329734
- add BuildRequires: gettext-devel
- patch1: fix build with glibc 2.16
+ pterjan <pterjan>
- Fix autoreconf call

* Sun Nov 06 2011 shadow95 <shadow95> 3.2-2.mga2
+ Revision: 164562
- replace http://qa.mandriva.com by https://bugs.mageia.org in man page, fixes bug #1380

* Fri Sep 02 2011 kharec <kharec> 3.2-1.mga2
+ Revision: 138043
- new version 3.2
+ fwang <fwang>
- update file list
- new version 3.1

* Sat Jan 08 2011 blino <blino> 3.0-1.mga1
+ Revision: 553
- imported package diffutils

